Loading...
Searching...
No Matches
XrdSecGMapEntry_t Class Reference

`#include <XrdOucGMap.hh>`

Collaboration diagram for XrdSecGMapEntry_t:

## Public Member Functions

| XrdSecGMapEntry_t (const char *v, const char *u, int t)

## Public Attributes

int | type
XrdOucString | user
XrdOucString | val

## Detailed Description

Definition at line 39 of file XrdOucGMap.hh.

## Constructor & Destructor Documentation

## XrdSecGMapEntry_t()

XrdSecGMapEntry_t::XrdSecGMapEntry_t | ( | const char * | v,
|  | const char * | u,
|  | int | t )

inline

Definition at line 42 of file XrdOucGMap.hh.

: val(v), user(u), type(t) { }
XrdSecGMapEntry_t::user
XrdOucString user
Definition XrdOucGMap.hh:44
XrdSecGMapEntry_t::type
int type
Definition XrdOucGMap.hh:45
XrdSecGMapEntry_t::val
XrdOucString val
Definition XrdOucGMap.hh:43

References type, user, and val.

## Member Data Documentation

## type

int XrdSecGMapEntry_t::type

Definition at line 45 of file XrdOucGMap.hh.

Referenced by XrdSecGMapEntry_t(), and FindMatchingCondition().

## user

XrdOucString XrdSecGMapEntry_t::user

Definition at line 44 of file XrdOucGMap.hh.

Referenced by XrdSecGMapEntry_t(), XrdOucGMap::dn2user(), and FindMatchingCondition().

## val

XrdOucString XrdSecGMapEntry_t::val

Definition at line 43 of file XrdOucGMap.hh.

Referenced by XrdSecGMapEntry_t(), and FindMatchingCondition().

The documentation for this class was generated from the following file:

- XrdOucGMap.hh